Skip to content

Searches for appeals using predefined parameters

Request

Searches for appeals using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The appeal that you would like to be saved.

dateArray of strings, (date-time), = 2 items(Date)
goalnumber, (float)(Goal)
idsArray of strings(Ids)

IDs to search

namestring(Name)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/appeals/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "goal": 0.1,
    "ids": [
      "string"
    ],
    "name": "string"
  }'

Responses

The appeal search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(AppealSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }